Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.change_vision.jude.api.inf.presentation
Interface PresentationPropertyConstants.Key

    com.change_vision.jude.api.inf.presentation.PresentationPropertyConstants.Key

Enclosing interface:
  PresentationPropertyConstants

    public PresentationPropertyConstants.Key

This is a Class that defines keys of IPresentation properties.

Since:
  6.8.0

Field Summary
`static String` | `ACTION_VISIBILITY` This is a key to get or set the visibility of a compartment in a State.
`static String` | `ALIAS1` This is a key to get or set the Alias1 of a text.
`static String` | `ALIAS2` This is a key to get or set the Alias2 of a text.
`static String` | `ALTERNATE_KEY_SIGN_VISIBILITY` This is a key to get or set the visibility of Alternate keys in an ER Entity.
`static String` | `ANNOTATED_ELEMENT` This is a key to get or set the model element with a comment, connected with the Note Anchor.
`static String` | `ATTRIBUTE_COMPARTMENT_VISIBILITY` This is a key to get or set the visibility of an Attribute compartment in a Class.
`static String` | `ATTRIBUTE_CONSTRAINT_VISIBILITY` This is a key to get or set the visibility of an Attribute constraint in a Class.
`static String` | `ATTRIBUTE_INITIAL_VALUE_VISIBILITY` This is a key to get or set the visibility of an Attribute initial value in a Class.
`static String` | `ATTRIBUTE_STEREOTYPE_VISIBILITY` This is a key to get or set the visibility of an Attribute stereotype in a Class.
`static String` | `ATTRIBUTE_TYPE_VISIBILITY` This is a key to get or set the visibility of an Attribute Type in a Class.
`static String` | `AUTO_RESIZE` This is a key to get or set the auto layout option for a model element.
`static String` | `BASE_VISIBILITY` This is a key to get or set the visibility of a Type in a Port, a Part, a Lifeline, an ObjectNode or an InstanceSpecification.
`static String` | `BUNDLED_POINT_X` This is a key to get or set the X coordinate of a bundling point for the shared style (Generalizations, Nests or Subtypes).
`static String` | `BUNDLED_POINT_Y` This is a key to get or set the Y coordinate of a bundling point for the shared style (Generalizations, Nests or Subtypes).
`static String` | `CARDINALITY_VISIBILITY` This is a key to get or set the visibility of cardinality in an ER Relationship.
`static String` | `CLASS_FIGURE` This is a key to get or set whether the Class is a Structure Class or not.
`static String` | `CONSTRAINT_VISIBILITY` This is a key to get or set the visibility of a constraint.
`static String` | `CONSTRAINT_X` This is a key to set the X coordinate of an Association Constraint.
`static String` | `CONSTRAINT_Y` This is a key to set the Y coordinate of an Association Constraint.
`static String` | `DETAIL_COMPARTMENT_VISIBILITY` This is a key to get or set the visibility of a detailed compartment in a Requirement or a Test Case.
`static String` | `DETAIL_VISIBILITY` This is a key to get or set the visibility of the detailed information in a Subsystem.
`static String` | `DIRECTION` This is a key to get or set whether the shared style is horizontal or vertical for Generalizations, Nests or Subtypes.
`static String` | `END_A_CONSTRAINT_X` This is a key to set the X coordinate of a Constraint for an AssociationEnd A.
`static String` | `END_A_CONSTRAINT_Y` This is a key to set the Y coordinate of a Constraint for an AssociationEnd A.
`static String` | `END_A_MULTIPLICITY_X` This is a key to set the X coordinate of a Multiplicity for an AssociationEnd A.
`static String` | `END_A_MULTIPLICITY_Y` This is a key to set the Y coordinate of a Multiplicity for an AssociationEnd A.
`static String` | `END_A_NAME_X` This is a key to set the X coordinate of a name for an AssociationEnd A.
`static String` | `END_A_NAME_Y` This is a key to set the Y coordinate of a name for an AssociationEnd A.
`static String` | `END_B_CONSTRAINT_X` This is a key to set the X coordinate of a Constraint for an AssociationEnd B.
`static String` | `END_B_CONSTRAINT_Y` This is a key to set the Y coordinate of a Constraint for an AssociationEnd B.
`static String` | `END_B_MULTIPLICITY_X` This is a key to set the X coordinate of a Multiplicity for an AssociationEnd B.
`static String` | `END_B_MULTIPLICITY_Y` This is a key to set the Y coordinate of a Multiplicity for an AssociationEnd B.
`static String` | `END_B_NAME_X` This is a key to set the X coordinate of a name for an AssociationEnd B.
`static String` | `END_B_NAME_Y` This is a key to set the Y coordinate of a name for an AssociationEnd B.
`static String` | `FILL_COLOR` This is a key to get or set the background color of a model element.
`static String` | `FONT_COLOR` This is a key to get or set the font color of a model element.
`static String` | `FONT_NAME` This is a key to get the font name of a text.
`static String` | `FONT_SIZE` This is a key to get the font size of a text.
`static String` | `FONT_STRIKETHROUGH` This is a key to get whether the text is struck through or not.
`static String` | `FONT_STYLE` This is a key to get the font style of a text.
`static String` | `FONT_UNDERLINED` This is a key to get whether the text is underlined or not.
`static String` | `FOREIGN_KEY_SIGN_VISIBILITY` This is a key to get or set the visibility of Foreign keys in an ER Entity.
`static String` | `GUARD_X_FORMAT` This is a key for specifying the X coordinate of a guard condition for a CombinedFragment.
`static String` | `GUARD_Y_FORMAT` This is a key for specifying the Y coordinate of a guard condition for a CombinedFragment.
`static String` | `ICONS` This is a key to get or set the icons of a Topic.
`static String` | `ID_VISIBILITY` This is a key to get or set the visibility of an ID in a Requirement.
`static String` | `IMAGE_DATA` This is a key to get the image data of an Image Presentation.
`static String` | `IMAGE_HEIGHT` This is a key to get or set the height of an image in a Topic.
`static String` | `IMAGE_WIDTH` This is a key to get or set the width of an image in a Topic.
`static String` | `INVERSION_ENTRY_SIGN_VISIBILITY` This is a key to get or set the visibility of an inversion entry sign in an ER Entity.
`static String` | `INVISIBLE_FEATURES` This is a key to get or set the visibility of an Attribute/Operation in a Class.
`static String` | `IS_SHARED` This is a key to get or set whether Generalizations, Nests or Subtypes are displayed with the shared style or not.
`static String` | `LIFELINE_LENGTH` This is a key to get or set the lifeline length.
`static String` | `LINE_ARROW_TYPE` This is a key to get or set the arrow direction in the line.
`static String` | `LINE_COLOR` This is a key to get or set the line color.
`static String` | `LINE_SHAPE` This is a key to get or set the line style.
`static String` | `LINE_TYPE` This is a key to get or set the line type.
`static String` | `LINE_WIDTH` This is a key to get or set the line width.
`static String` | `MP_OPERATION_PARAMETER_DIRECTION_KIND_VISIBILITY` This is a key to get or set the visibility of an Operation parameter direction kind in a Message.
`static String` | `MULTIPLICITY_VISIBILITY` This is a key to get or set the visibility of a Multiplicity in a Port.
`static String` | `NAME_DIRECTION_REVERSE` This is a key to get or set the direction of an Association.
`static String` | `NAME_DIRECTION_VISIBILITY` This is a key to get or set the visibility of an Association Name direction.
`static String` | `NAME_IN_OVAL` This is a key to get or set whether the UseCase name is displayed in the body or not.
`static String` | `NAME_VISIBILITY` This is a key to get or set the visibility of a name (Port, Part, Path, Instance Specification, Lifeline, Object Node).
`static String` | `NAME_X` This is a key to set the X coordinate of a Message name or an Association name.
`static String` | `NAME_Y` This is a key to set the Y coordinate of a Message name or an Association name.
`static String` | `NAMESPACE_VISIBILITY` This is a key to get or set the display option of a Namespace in a Class or a Package.
`static String` | `NO_VALUE_SLOT_VISIBILITY` This is a key to get or set the visibility of a slot without values in an InstanceSpecification.
`static String` | `NOTATION_TYPE` This is a key to get or set the icon notation.
`static String` | `NULL_OPTION_VISIBILITY` This is a key to get or set the visibility of a Null option in an ER Entity.
`static String` | `OPACITY` This is a key to get or set the alpha of the Freehand line.
`static String` | `OPERAND_LENGTH_FORMAT` This is a key for specifying the height of each Operand in the CombinedFragment.
`static String` | `OPERATION_COMPARTMENT_VISIBILITY` This is a key to get or set the visibility of an Operation compartment in a Class.
`static String` | `OPERATION_CONSTRAINT_VISIBILITY` This is a key to get or set the visibility of an Operation constraint in a Class or a Subsystem.
`static String` | `OPERATION_PARAMETER_TYPE_VISIBILITY` This is a key to get or set the visibility of an Operation parameter type in a Class, a Message or a Subsystem.
`static String` | `OPERATION_PARAMETER_VISIBILITY` This is a key to get or set the visibility of an Operation parameter in a Class, a Message or a Subsystem.
`static String` | `OPERATION_RETURN_TYPE_VISIBILITY` This is a key to get or set the visibility of an Operation Return Value Type in a Class or a Subsystem.
`static String` | `OPERATION_STEREOTYPE_VISIBILITY` This is a key to get or set the visibility of an Operation Stereotype in a Class or a Subsystem.
`static String` | `PACKAGE_ATTRIBUTE` This is a key to get or set whether the Attribute visibility of a Class is package or not.
`static String` | `PACKAGE_OPERATION` This is a key to get or set whether the Operation visibility of a Class is package or not.
`static String` | `PARAMETER_TYPE_VISIBILITY` This is a key to get or set the visibility of a parameter type in a Message.
`static String` | `PARAMETER_VISIBILITY` This is a key to get or set the visibility of a parameter in a Message.
`static String` | `PRIVATE_ATTRIBUTE` This is a key to get or set whether the Attribute visibility of a Class is private or not.
`static String` | `PRIVATE_OPERATION` This is a key to get or set whether the Operation visibility of a Class is private or not.
`static String` | `PROTECTED_ATTRIBUTE` This is a key to get or set whether the Attribute visibility of a Class is protected or not.
`static String` | `PROTECTED_OPERATION` This is a key to get or set whether the Operation visibility of a Class is protected or not.
`static String` | `PUBLIC_ATTRIBUTE` This is a key to get or set whether the Attribute visibility of a Class is public or not.
`static String` | `PUBLIC_OPERATION` This is a key to get or set whether the Operation visibility of a Class is public or not.
`static String` | `PVC_OPERATION_PARAMETER_DIRECTION_KIND_VISIBILITY` This is a key to get or set the visibility of an Operation parameter direction in a Class, a Message or a Subsystem.
`static String` | `RECT_TYPE` This is a key to get the rectangular type.
`static String` | `RETURN_VALUE_VARIABLE_VISIBILITY` This is a key to get or set the visibility of a Return Value variable in a Message.
`static String` | `RETURN_VALUE_VISIBILITY` This is a key to get or set the visibility of a Return Value in a Message.
`static String` | `ROLE_NAME_VISIBILITY` This is a key to get or set the visibility of an Association End Name in a Connector.
`static String` | `SHAPE` This is a key to get or set the shape of a Mindmap element such as a Topic, Line between topics or a Boundary.
`static String` | `SLOT_VALUE_VISIBILITY` This is a key to get or set the visibility of a slot value in an InstanceSpecification.
`static String` | `SLOT_VISIBILITY` This is a key to get or set the visibility of a Slot in an InstanceSpecification.
`static String` | `SOURCE_END_X` This is a key to get or set the X coordinate of a starting point for the shared style (Generalizations, Nests or Subtypes).
`static String` | `SOURCE_END_Y` This is a key to get or set the Y coordinate of an end point for the shared style (Generalizations, Nests or Subtypes).
`static String` | `STEREOTYPE_VISIBILITY` This is a key to get or set the visibility of a Stereotype.
`static String` | `STEREOTYPE_X_FORMAT` This is a key for specifying the X coordinate of a stereotype label for an Association.
`static String` | `STEREOTYPE_Y_FORMAT` This is a key for specifying the Y coordinate of a stereotype label for an Association.
`static String` | `SUB_TOPIC_VISIBILITY` This is a key to get or set the opening-closing state of Child Topics.
`static String` | `TEMPLATE_BOUND_VISIBILITY` This is a key to get or set the visibility of TemplateBound information in a Class.
`static String` | `TEMPLATE_FORMAL_PARAMETER_VISIBILITY` This is a key to get or set the visibility of a Template Parameter in a Class.
`static String` | `TEMPLATEPARAMETER_MULTILINE_VISIBILITY` This is a key to get or set whether the Template Parameter of a Class is displayed with multiple lines.
`static String` | `TEXT_VISIBILITY` This is a key to get or set the visibility of a Text in a Requirement.
`static String` | `TYPE_AND_LENGTH_VISIBILITY` This is a key to get or set the visibility of Type and Length in an ER Entity.
`static String` | `VERB_PHRASE_VISIBILITY` This is a key to get or set the visibility of a verb phrase in an ER Relationship.
`static String` | `VISIBILITY` This is a key to get or set the visibility of a Label or a Path.
`static String` | `VISIBILITY_KIND_VISIBILITY` This is a key to get or set the Class visibility.
`static String` | `WITH_IN_BODY_NAME` This is a key to get or set whether the model name is displayed in the body or not.

Field Detail

### CLASS_FIGURE

    static final String CLASS_FIGURE

  This is a key to get or set whether the Class is a Structure Class or not.

  Since:
    6.8.0
  See Also:
    `PresentationPropertyConstants.Value.CLASS_FIGURE_NORMAL_CLASS`

### NOTATION_TYPE

    static final String NOTATION_TYPE

  This is a key to get or set the icon notation.

  Since:
    6.8.0
  See Also:
    `PresentationPropertyConstants.Value.NOTATION_TYPE_CUSTOMIZED`, `PresentationPropertyConstants.Value.NOTATION_TYPE_ICON`, `PresentationPropertyConstants.Value.NOTATION_TYPE_NORMAL`

### STEREOTYPE_VISIBILITY

    static final String STEREOTYPE_VISIBILITY

  This is a key to get or set the visibility of a Stereotype.

  Since:
    6.8.0

### ATTRIBUTE_COMPARTMENT_VISIBILITY

    static final String ATTRIBUTE_COMPARTMENT_VISIBILITY

  This is a key to get or set the visibility of an Attribute compartment in a Class.

  Since:
    6.8.0

### OPERATION_COMPARTMENT_VISIBILITY

    static final String OPERATION_COMPARTMENT_VISIBILITY

  This is a key to get or set the visibility of an Operation compartment in a Class.

  Since:
    6.8.0

### NAMESPACE_VISIBILITY

    static final String NAMESPACE_VISIBILITY

  This is a key to get or set the display option of a Namespace in a Class or a Package.

  Since:
    6.8.0
  See Also:
    `PresentationPropertyConstants.Value.NAMESPACE_VISIBILITY_FULL`, `PresentationPropertyConstants.Value.NAMESPACE_VISIBILITY_NONE`, `PresentationPropertyConstants.Value.NAMESPACE_VISIBILITY_UP_ONE_LEVEL`

### VISIBILITY_KIND_VISIBILITY

    static final String VISIBILITY_KIND_VISIBILITY

  This is a key to get or set the Class visibility.

  Since:
    6.8.0

### INVISIBLE_FEATURES

    static final String INVISIBLE_FEATURES

  This is a key to get or set the visibility of an Attribute/Operation in a Class.

  Since:
    6.8.0

### PUBLIC_ATTRIBUTE

    static final String PUBLIC_ATTRIBUTE

  This is a key to get or set whether the Attribute visibility of a Class is public or not.

  Since:
    6.8.0

### PROTECTED_ATTRIBUTE

    static final String PROTECTED_ATTRIBUTE

  This is a key to get or set whether the Attribute visibility of a Class is protected or not.

  Since:
    6.8.0

### PACKAGE_ATTRIBUTE

    static final String PACKAGE_ATTRIBUTE

  This is a key to get or set whether the Attribute visibility of a Class is package or not.

  Since:
    6.8.0

### PRIVATE_ATTRIBUTE

    static final String PRIVATE_ATTRIBUTE

  This is a key to get or set whether the Attribute visibility of a Class is private or not.

  Since:
    6.8.0

### PUBLIC_OPERATION

    static final String PUBLIC_OPERATION

  This is a key to get or set whether the Operation visibility of a Class is public or not.

  Since:
    6.8.0

### PROTECTED_OPERATION

    static final String PROTECTED_OPERATION

  This is a key to get or set whether the Operation visibility of a Class is protected or not.

  Since:
    6.8.0

### PACKAGE_OPERATION

    static final String PACKAGE_OPERATION

  This is a key to get or set whether the Operation visibility of a Class is package or not.

  Since:
    6.8.0

### PRIVATE_OPERATION

    static final String PRIVATE_OPERATION

  This is a key to get or set whether the Operation visibility of a Class is private or not.

  Since:
    6.8.0

### ATTRIBUTE_TYPE_VISIBILITY

    static final String ATTRIBUTE_TYPE_VISIBILITY

  This is a key to get or set the visibility of an Attribute Type in a Class.

  Since:
    6.8.0

### ATTRIBUTE_INITIAL_VALUE_VISIBILITY

    static final String ATTRIBUTE_INITIAL_VALUE_VISIBILITY

  This is a key to get or set the visibility of an Attribute initial value in a Class.

  Since:
    6.8.0

### ATTRIBUTE_STEREOTYPE_VISIBILITY

    static final String ATTRIBUTE_STEREOTYPE_VISIBILITY

  This is a key to get or set the visibility of an Attribute stereotype in a Class.

  Since:
    6.8.0

### ATTRIBUTE_CONSTRAINT_VISIBILITY

    static final String ATTRIBUTE_CONSTRAINT_VISIBILITY

  This is a key to get or set the visibility of an Attribute constraint in a Class.

  Since:
    6.8.0

### OPERATION_RETURN_TYPE_VISIBILITY

    static final String OPERATION_RETURN_TYPE_VISIBILITY

  This is a key to get or set the visibility of an Operation Return Value Type in a Class or a Subsystem.

  Since:
    6.8.0

### OPERATION_PARAMETER_VISIBILITY

    static final String OPERATION_PARAMETER_VISIBILITY

  This is a key to get or set the visibility of an Operation parameter in a Class, a Message or a Subsystem.

  Since:
    6.8.0

### OPERATION_PARAMETER_TYPE_VISIBILITY

    static final String OPERATION_PARAMETER_TYPE_VISIBILITY

  This is a key to get or set the visibility of an Operation parameter type in a Class, a Message or a Subsystem.

  Since:
    6.8.0

### PVC_OPERATION_PARAMETER_DIRECTION_KIND_VISIBILITY

    static final String PVC_OPERATION_PARAMETER_DIRECTION_KIND_VISIBILITY

  This is a key to get or set the visibility of an Operation parameter direction in a Class, a Message or a Subsystem.

  Since:
    6.8.0

### OPERATION_STEREOTYPE_VISIBILITY

    static final String OPERATION_STEREOTYPE_VISIBILITY

  This is a key to get or set the visibility of an Operation Stereotype in a Class or a Subsystem.

  Since:
    6.8.0

### OPERATION_CONSTRAINT_VISIBILITY

    static final String OPERATION_CONSTRAINT_VISIBILITY

  This is a key to get or set the visibility of an Operation constraint in a Class or a Subsystem.

  Since:
    6.8.0

### TEMPLATEPARAMETER_MULTILINE_VISIBILITY

    static final String TEMPLATEPARAMETER_MULTILINE_VISIBILITY

  This is a key to get or set whether the Template Parameter of a Class is displayed with multiple lines.

  Since:
    6.8.0

### TEMPLATE_BOUND_VISIBILITY

    static final String TEMPLATE_BOUND_VISIBILITY

  This is a key to get or set the visibility of TemplateBound information in a Class.

  Since:
    6.8.0

### TEMPLATE_FORMAL_PARAMETER_VISIBILITY

    static final String TEMPLATE_FORMAL_PARAMETER_VISIBILITY

  This is a key to get or set the visibility of a Template Parameter in a Class.

  Since:
    6.8.0

### AUTO_RESIZE

    static final String AUTO_RESIZE

  This is a key to get or set the auto layout option for a model element.

  Since:
    6.8.0

### FILL_COLOR

    static final String FILL_COLOR

  This is a key to get or set the background color of a model element.

  Since:
    6.8.0

### FONT_COLOR

    static final String FONT_COLOR

  This is a key to get or set the font color of a model element.

  Since:
    6.8.0

### CONSTRAINT_VISIBILITY

    static final String CONSTRAINT_VISIBILITY

  This is a key to get or set the visibility of a constraint.

  Since:
    6.8.0

### NAME_VISIBILITY

    static final String NAME_VISIBILITY

  This is a key to get or set the visibility of a name (Port, Part, Path, Instance Specification, Lifeline, Object Node).

  Since:
    6.8.0

### NAME_DIRECTION_VISIBILITY

    static final String NAME_DIRECTION_VISIBILITY

  This is a key to get or set the visibility of an Association Name direction.

  Since:
    6.8.0

### LINE_SHAPE

    static final String LINE_SHAPE

  This is a key to get or set the line style.

  Since:
    6.8.0
  See Also:
    `PresentationPropertyConstants.Value.LINE_SHAPE_CURVE`, `PresentationPropertyConstants.Value.LINE_SHAPE_CURVE_RIGHT_ANGLE`, `PresentationPropertyConstants.Value.LINE_SHAPE_LINE`, `PresentationPropertyConstants.Value.LINE_SHAPE_LINE_RIGHT_ANGLE`

### LINE_COLOR

    static final String LINE_COLOR

  This is a key to get or set the line color.

  Since:
    6.8.0

### WITH_IN_BODY_NAME

    static final String WITH_IN_BODY_NAME

  This is a key to get or set whether the model name is displayed in the body or not.

  Since:
    6.8.0

### DETAIL_VISIBILITY

    static final String DETAIL_VISIBILITY

  This is a key to get or set the visibility of the detailed information in a Subsystem.

  Since:
    6.8.0

### MULTIPLICITY_VISIBILITY

    static final String MULTIPLICITY_VISIBILITY

  This is a key to get or set the visibility of a Multiplicity in a Port.

  Since:
    6.8.0

### ROLE_NAME_VISIBILITY

    static final String ROLE_NAME_VISIBILITY

  This is a key to get or set the visibility of an Association End Name in a Connector.

  Since:
    6.8.0

### BASE_VISIBILITY

    static final String BASE_VISIBILITY

  This is a key to get or set the visibility of a Type in a Port, a Part, a Lifeline, an ObjectNode or an InstanceSpecification.

  Since:
    6.8.0

### SLOT_VISIBILITY

    static final String SLOT_VISIBILITY

  This is a key to get or set the visibility of a Slot in an InstanceSpecification.

  Since:
    6.8.0

### SLOT_VALUE_VISIBILITY

    static final String SLOT_VALUE_VISIBILITY

  This is a key to get or set the visibility of a slot value in an InstanceSpecification.

  Since:
    6.8.0

### NO_VALUE_SLOT_VISIBILITY

    static final String NO_VALUE_SLOT_VISIBILITY

  This is a key to get or set the visibility of a slot without values in an InstanceSpecification.

  Since:
    6.8.0

### FONT_NAME

    static final String FONT_NAME

  This is a key to get the font name of a text.

  Since:
    6.8.0
  See Also:
    `PresentationPropertyConstants.Value.FONT_NAME_DIALOG`, `PresentationPropertyConstants.Value.FONT_NAME_DIALOGINPUT`, `PresentationPropertyConstants.Value.FONT_NAME_MONOSPACED`, `PresentationPropertyConstants.Value.FONT_NAME_SANS_SERIF`, `PresentationPropertyConstants.Value.FONT_NAME_SERIF`

### FONT_STYLE

    static final String FONT_STYLE

  This is a key to get the font style of a text.

  Since:
    6.8.0
  See Also:
    `PresentationPropertyConstants.Value.FONT_STYLE_BOLD`, `PresentationPropertyConstants.Value.FONT_STYLE_BOLDITALIC`, `PresentationPropertyConstants.Value.FONT_STYLE_ITALIC`, `PresentationPropertyConstants.Value.FONT_STYLE_PLAIN`

### FONT_STRIKETHROUGH

    static final String FONT_STRIKETHROUGH

  This is a key to get whether the text is struck through or not.

  Since:
    6.8.0

### FONT_SIZE

    static final String FONT_SIZE

  This is a key to get the font size of a text.

  Since:
    6.8.0

### FONT_UNDERLINED

    static final String FONT_UNDERLINED

  This is a key to get whether the text is underlined or not.

  Since:
    6.8.0

### RECT_TYPE

    static final String RECT_TYPE

  This is a key to get the rectangular type.

  Since:
    6.8.0
  See Also:
    `PresentationPropertyConstants.Value.RECT_TYPE_ROUND`

### LINE_WIDTH

    static final String LINE_WIDTH

  This is a key to get or set the line width.

  Since:
    6.8.0

### LINE_TYPE

    static final String LINE_TYPE

  This is a key to get or set the line type.

  Since:
    6.8.0
  See Also:
    `PresentationPropertyConstants.Value.LINE_TYPE_DASH1`, `PresentationPropertyConstants.Value.LINE_TYPE_DASH2`, `PresentationPropertyConstants.Value.LINE_TYPE_DASH3`, `PresentationPropertyConstants.Value.LINE_TYPE_LINE`

### LINE_ARROW_TYPE

    static final String LINE_ARROW_TYPE

  This is a key to get or set the arrow direction in the line.

  Since:
    6.8.0
  See Also:
    `PresentationPropertyConstants.Value.LINE_ARROW_TYPE_BOTH_ARROW`, `PresentationPropertyConstants.Value.LINE_ARROW_TYPE_END_ARROW`, `PresentationPropertyConstants.Value.LINE_ARROW_TYPE_NO_ARROW`, `PresentationPropertyConstants.Value.LINE_ARROW_TYPE_START_ARROW`

### NAME_IN_OVAL

    static final String NAME_IN_OVAL

  This is a key to get or set whether the UseCase name is displayed in the body or not.

  Since:
    6.8.0

### ACTION_VISIBILITY

    static final String ACTION_VISIBILITY

  This is a key to get or set the visibility of a compartment in a State.

  Since:
    6.8.0

### LIFELINE_LENGTH

    static final String LIFELINE_LENGTH

  This is a key to get or set the lifeline length.

  Since:
    6.8.0

### PARAMETER_VISIBILITY

    static final String PARAMETER_VISIBILITY

  This is a key to get or set the visibility of a parameter in a Message.

  Since:
    6.8.0

### PARAMETER_TYPE_VISIBILITY

    static final String PARAMETER_TYPE_VISIBILITY

  This is a key to get or set the visibility of a parameter type in a Message.

  Since:
    6.8.0

### MP_OPERATION_PARAMETER_DIRECTION_KIND_VISIBILITY

    static final String MP_OPERATION_PARAMETER_DIRECTION_KIND_VISIBILITY

  This is a key to get or set the visibility of an Operation parameter direction kind in a Message.

  Since:
    6.8.0

### RETURN_VALUE_VARIABLE_VISIBILITY

    static final String RETURN_VALUE_VARIABLE_VISIBILITY

  This is a key to get or set the visibility of a Return Value variable in a Message.

  Since:
    6.8.0

### RETURN_VALUE_VISIBILITY

    static final String RETURN_VALUE_VISIBILITY

  This is a key to get or set the visibility of a Return Value in a Message.

  Since:
    6.8.0

### TYPE_AND_LENGTH_VISIBILITY

    static final String TYPE_AND_LENGTH_VISIBILITY

  This is a key to get or set the visibility of Type and Length in an ER Entity.

  Since:
    6.8.0

### FOREIGN_KEY_SIGN_VISIBILITY

    static final String FOREIGN_KEY_SIGN_VISIBILITY

  This is a key to get or set the visibility of Foreign keys in an ER Entity.

  Since:
    6.8.0

### ALTERNATE_KEY_SIGN_VISIBILITY

    static final String ALTERNATE_KEY_SIGN_VISIBILITY

  This is a key to get or set the visibility of Alternate keys in an ER Entity.

  Since:
    6.8.0

### INVERSION_ENTRY_SIGN_VISIBILITY

    static final String INVERSION_ENTRY_SIGN_VISIBILITY

  This is a key to get or set the visibility of an inversion entry sign in an ER Entity.

  Since:
    6.8.0

### NULL_OPTION_VISIBILITY

    static final String NULL_OPTION_VISIBILITY

  This is a key to get or set the visibility of a Null option in an ER Entity.

  Since:
    6.8.0

### VERB_PHRASE_VISIBILITY

    static final String VERB_PHRASE_VISIBILITY

  This is a key to get or set the visibility of a verb phrase in an ER Relationship.

  Since:
    6.8.0

### CARDINALITY_VISIBILITY

    static final String CARDINALITY_VISIBILITY

  This is a key to get or set the visibility of cardinality in an ER Relationship.

  Since:
    6.8.0

### ICONS

    static final String ICONS

  This is a key to get or set the icons of a Topic.

  Since:
    6.8.0

### IMAGE_DATA

    static final String IMAGE_DATA

  This is a key to get the image data of an Image Presentation.

  Since:
    6.8.0

### IMAGE_WIDTH

    static final String IMAGE_WIDTH

  This is a key to get or set the width of an image in a Topic.

  Since:
    6.8.0

### IMAGE_HEIGHT

    static final String IMAGE_HEIGHT

  This is a key to get or set the height of an image in a Topic.

  Since:
    6.8.0

### SHAPE

    static final String SHAPE

  This is a key to get or set the shape of a Mindmap element such as a Topic, Line between topics or a Boundary.

  Since:
    6.8.0
  See Also:
    `PresentationPropertyConstants.Value.SHAPE_BEZIER`, `PresentationPropertyConstants.Value.SHAPE_CLOUD`, `PresentationPropertyConstants.Value.SHAPE_LINE`, `PresentationPropertyConstants.Value.SHAPE_LINEAR`, `PresentationPropertyConstants.Value.SHAPE_ROUNDED_RECTANGLE`, `PresentationPropertyConstants.Value.SHAPE_ROUNDEDLINE`, `PresentationPropertyConstants.Value.SHAPE_SHARPBEZIER`, `PresentationPropertyConstants.Value.SHAPE_SHARPLINEAR`, `PresentationPropertyConstants.Value.SHAPE_STRAIGHTLINE`

### ALIAS1

    static final String ALIAS1

  This is a key to get or set the Alias1 of a text.

  Since:
    6.8.0

### ALIAS2

    static final String ALIAS2

  This is a key to get or set the Alias2 of a text.

  Since:
    6.8.0

### NAME_DIRECTION_REVERSE

    static final String NAME_DIRECTION_REVERSE

  This is a key to get or set the direction of an Association.

  Since:
    6.8.0
  See Also:
    `PresentationPropertyConstants.Value.NAME_DIRECTION_FORWARD`, `PresentationPropertyConstants.Value.NAME_DIRECTION_REVERSE`

### VISIBILITY

    static final String VISIBILITY

  This is a key to get or set the visibility of a Label or a Path.

  Since:
    6.8.0

### SUB_TOPIC_VISIBILITY

    static final String SUB_TOPIC_VISIBILITY

  This is a key to get or set the opening-closing state of Child Topics.

  Since:
    6.8.0

### DIRECTION

    static final String DIRECTION

  This is a key to get or set whether the shared style is horizontal or vertical for Generalizations, Nests or Subtypes.

  Since:
    6.8.0
  See Also:
    `PresentationPropertyConstants.Value.DIRECTION_HORIZONTAL`, `PresentationPropertyConstants.Value.DIRECTION_VERTIAL`

### BUNDLED_POINT_X

    static final String BUNDLED_POINT_X

  This is a key to get or set the X coordinate of a bundling point for the shared style (Generalizations, Nests or Subtypes).

  Since:
    6.8.0

### BUNDLED_POINT_Y

    static final String BUNDLED_POINT_Y

  This is a key to get or set the Y coordinate of a bundling point for the shared style (Generalizations, Nests or Subtypes).

  Since:
    6.8.0

### SOURCE_END_X

    static final String SOURCE_END_X

  This is a key to get or set the X coordinate of a starting point for the shared style (Generalizations, Nests or Subtypes).

  Since:
    6.8.0

### SOURCE_END_Y

    static final String SOURCE_END_Y

  This is a key to get or set the Y coordinate of an end point for the shared style (Generalizations, Nests or Subtypes).

  Since:
    6.8.0

### DETAIL_COMPARTMENT_VISIBILITY

    static final String DETAIL_COMPARTMENT_VISIBILITY

  This is a key to get or set the visibility of a detailed compartment in a Requirement or a Test Case.

  Since:
    6.8.0

### ID_VISIBILITY

    static final String ID_VISIBILITY

  This is a key to get or set the visibility of an ID in a Requirement.

  Since:
    6.8.0

### TEXT_VISIBILITY

    static final String TEXT_VISIBILITY

  This is a key to get or set the visibility of a Text in a Requirement.

  Since:
    6.8.0

### IS_SHARED

    static final String IS_SHARED

  This is a key to get or set whether Generalizations, Nests or Subtypes are displayed with the shared style or not.

  Since:
    6.8.0

### OPACITY

    static final String OPACITY

  This is a key to get or set the alpha of the Freehand line.

  Since:
    6.8.0

### ANNOTATED_ELEMENT

    static final String ANNOTATED_ELEMENT

  This is a key to get or set the model element with a comment, connected with the Note Anchor.

  Since:
    6.8.0

### NAME_X

    static final String NAME_X

  This is a key to set the X coordinate of a Message name or an Association name.

  Since:
    6.8.0

### NAME_Y

    static final String NAME_Y

  This is a key to set the Y coordinate of a Message name or an Association name.

  Since:
    6.8.0

### END_A_NAME_X

    static final String END_A_NAME_X

  This is a key to set the X coordinate of a name for an AssociationEnd A.

  Since:
    6.8.0

### END_A_NAME_Y

    static final String END_A_NAME_Y

  This is a key to set the Y coordinate of a name for an AssociationEnd A.

  Since:
    6.8.0

### END_B_NAME_X

    static final String END_B_NAME_X

  This is a key to set the X coordinate of a name for an AssociationEnd B.

  Since:
    6.8.0

### END_B_NAME_Y

    static final String END_B_NAME_Y

  This is a key to set the Y coordinate of a name for an AssociationEnd B.

  Since:
    6.8.0

### END_A_MULTIPLICITY_X

    static final String END_A_MULTIPLICITY_X

  This is a key to set the X coordinate of a Multiplicity for an AssociationEnd A.

  Since:
    6.8.0

### END_A_MULTIPLICITY_Y

    static final String END_A_MULTIPLICITY_Y

  This is a key to set the Y coordinate of a Multiplicity for an AssociationEnd A.

  Since:
    6.8.0

### END_B_MULTIPLICITY_X

    static final String END_B_MULTIPLICITY_X

  This is a key to set the X coordinate of a Multiplicity for an AssociationEnd B.

  Since:
    6.8.0

### END_B_MULTIPLICITY_Y

    static final String END_B_MULTIPLICITY_Y

  This is a key to set the Y coordinate of a Multiplicity for an AssociationEnd B.

  Since:
    6.8.0

### CONSTRAINT_X

    static final String CONSTRAINT_X

  This is a key to set the X coordinate of an Association Constraint.

  Since:
    6.8.0

### CONSTRAINT_Y

    static final String CONSTRAINT_Y

  This is a key to set the Y coordinate of an Association Constraint.

  Since:
    6.8.0

### END_A_CONSTRAINT_X

    static final String END_A_CONSTRAINT_X

  This is a key to set the X coordinate of a Constraint for an AssociationEnd A.

  Since:
    6.8.0

### END_A_CONSTRAINT_Y

    static final String END_A_CONSTRAINT_Y

  This is a key to set the Y coordinate of a Constraint for an AssociationEnd A.

  Since:
    6.8.0

### END_B_CONSTRAINT_X

    static final String END_B_CONSTRAINT_X

  This is a key to set the X coordinate of a Constraint for an AssociationEnd B.

  Since:
    6.8.0

### END_B_CONSTRAINT_Y

    static final String END_B_CONSTRAINT_Y

  This is a key to set the Y coordinate of a Constraint for an AssociationEnd B.

  Since:
    6.8.0

### OPERAND_LENGTH_FORMAT

    static final String OPERAND_LENGTH_FORMAT

  This is a key for specifying the height of each Operand in the CombinedFragment. It is used to create an Operand length key and cannot be used by itself.

  Since:
    6.8.0
  See Also:
    `PresentationPropertyUtil.createOperandLengthKey(int)`

### GUARD_X_FORMAT

    static final String GUARD_X_FORMAT

  This is a key for specifying the X coordinate of a guard condition for a CombinedFragment. It is used to create a guard X coordinate key and cannot be used by itself.

  Since:
    6.8.0
  See Also:
    `PresentationPropertyUtil.createGuardXKey(int)`

### GUARD_Y_FORMAT

    static final String GUARD_Y_FORMAT

  This is a key for specifying the Y coordinate of a guard condition for a CombinedFragment. It is used to create a guard Y coordinate key and cannot be used by itself.

  Since:
    6.8.0
  See Also:
    `PresentationPropertyUtil.createGuardYKey(int)`

### STEREOTYPE_X_FORMAT

    static final String STEREOTYPE_X_FORMAT

  This is a key for specifying the X coordinate of a stereotype label for an Association. It is used to create an X coordinate key and cannot be used by itself.

  Since:
    6.8.0
  See Also:
    `PresentationPropertyUtil.createStereotypeXKey(int)`

### STEREOTYPE_Y_FORMAT

    static final String STEREOTYPE_Y_FORMAT

  This is a key for specifying the Y coordinate of a stereotype label for an Association. It is used to create a Y coordinate key and cannot be used by itself.

  Since:
    6.8.0
  See Also:
    `PresentationPropertyUtil.createStereotypeYKey(int)`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD